Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class DefaultContentSelector

    java.lang.Object
      org.apache.batik.bridge.svg12.AbstractContentSelector
          org.apache.batik.bridge.svg12.DefaultContentSelector

    public class DefaultContentSelector

extends AbstractContentSelector

A class to handle content selection when the includes attribute is not present.

Nested Class Summary
`protected class` | `DefaultContentSelector.SelectedNodes` Implementation of NodeList that contains the nodes that matched this selector.

Nested classes/interfaces inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`AbstractContentSelector.ContentSelectorFactory, AbstractContentSelector.XPathPatternContentSelectorFactory, AbstractContentSelector.XPathSubsetContentSelectorFactory`

Field Summary
`protected DefaultContentSelector.SelectedNodes` | `selectedContent` The selected nodes.

Fields inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`boundElement, contentElement, contentManager, selectorFactories`

Constructor Summary
`DefaultContentSelector(ContentManager cm, XBLOMContentElement content, Element bound)` Creates a new XPathSubsetContentSelector object.

Method Summary
`NodeList` | `getSelectedContent()` Returns a list of nodes that were matched by the given selector string.

Methods inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`createSelector, isSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectedContent

    protected DefaultContentSelector.SelectedNodes selectedContent

  The selected nodes.

Constructor Detail

### DefaultContentSelector

    public DefaultContentSelector(ContentManager cm,
                                  XBLOMContentElement content,
                                  Element bound)

  Creates a new XPathSubsetContentSelector object.

Method Detail

### getSelectedContent

    public NodeList getSelectedContent()

  Returns a list of nodes that were matched by the given selector string.

  Specified by:
    `getSelectedContent` in class `AbstractContentSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.